Method: logicalProducts.variants.list

Lists LogicalProductVariants matching given criteria.

HTTP request

GET https://cloudproductregistry.googleapis.com/v1/{parent=logicalProducts/*}/variants

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. Parent logical product id. Format: logicalProducts/{logicalProduct}

Query parameters

Parameters
pageSize

integer

Optional. The maximum number of logical product variants to return. The service may return fewer than this value. If unspecified, at most 100 logical product variants will be returned. The maximum value is 500; values above 500 will be coerced to 500.

pageToken

string

Optional. A page token, received from a previous variants.list call. Provide this to retrieve the subsequent page.

When paginating, all other parameters provided to variants.list must match the call that provided the page token.

Request body

The request body must be empty.

Response body

Response message for variants.list.

If successful, the response body contains data with the following structure:

JSON representation
{
  "logicalProductVariants": [
    {
      object (LogicalProductVariant)
    }
  ],
  "nextPageToken": string
}
Fields
logicalProductVariants[]

object (LogicalProductVariant)

Matched LogicalProductVariants

nextPageToken

string

A token, which can be sent as pageToken to retrieve the next page. If this field is omitted, there are no subsequent pages.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.